Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/37137/?format=api
{ "ob_id": 37137, "uuid": "53a1acaf5adb4b22b19397bf08d229ef", "title": "Transition Air: Street side measurements of dispersed NO from an NO bottle in Oxford.", "abstract": "This dataset contains measurements of dispersed Nitric Oxide (NO) made at a relatively low traffic area, Mansfield Road, in the city of Oxford, U.K. as part of project funded through the TRANSITION AIR QUALITY Network. NO was released from a bottle with a known concentration of 10,000ppm NO in nitrogen mounted at the back of an electric van and the dispersed NO measured at the roadside using fast response sensors provided by Cambustion Ltd. These measurements were then used to validate Computational Fluid Dynamics Models. The tests were carried out during a single day at different locations on the road. Wind direction, wind speed and the concentration of sensed NO are recorded and presented in the archived dataset.", "keywords": "Transition Air Quality, NO, Nitric oxide", "publicationState": "citable", "dataPublishedTime": "2022-04-06T09:25:15", "doiPublishedTime": "2022-04-06T10:27:49.610054", "updateFrequency": "notPlanned", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/37138/?format=api", "dataPath": "/badc/deposited2022/Oxford_MansfieldRd_roadside_NO", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1772688612, "numberOfFiles": 33, "fileFormat": "Data are CSV formatted with an explanatory text file (Guide_for_DATA.txt)." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/10262/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3436/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The measurements were performed by the hired sensing machines of Cambustion and transferred to the host institute (Oxford Brookes)via mail and emails. Then organised and analysed and uploaded to CEDA.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12079/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/37139/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/177517/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/177518/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/177519/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/177520/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/177521/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/177522/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/177527/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/177528/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/177529/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/37143/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }